cascading.flow.hadoop.util

## Class FalseCollection

- java.lang.Object
- - cascading.flow.hadoop.util.FalseCollection

- All Implemented Interfaces:
    ResettableCollection<java.util.Iterator<Tuple>>, java.lang.Iterable<Tuple>, java.util.Collection<Tuple>

      public class FalseCollection
      extends java.lang.Object
      implements java.util.Collection<Tuple>, ResettableCollection<java.util.Iterator<Tuple>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FalseCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Tuple tuple)`
    `boolean` | `addAll(java.util.Collection<? extends Tuple> c)`
    `void` | `clear()`
    `boolean` | `contains(java.lang.Object o)`
    `boolean` | `containsAll(java.util.Collection<?> c)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<Tuple>` | `iterator()`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `void` | `reset(java.util.Iterator<Tuple> iterator)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `int` | `size()`
    `java.lang.Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode`

- - ### Constructor Detail

    - #### FalseCollection

          public FalseCollection()

  - ### Method Detail

    - #### reset

          public void reset(java.util.Iterator<Tuple> iterator)

      Specified by:
        `reset` in interface `ResettableCollection<java.util.Iterator<Tuple>>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<Tuple>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<Tuple>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<Tuple>`

    - #### iterator

          public java.util.Iterator<Tuple> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Tuple>`
      Specified by:
        `iterator` in interface `java.util.Collection<Tuple>`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection<Tuple>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `java.util.Collection<Tuple>`

    - #### add

          public boolean add(Tuple tuple)

      Specified by:
        `add` in interface `java.util.Collection<Tuple>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<Tuple>`

    - #### containsAll

          public boolean containsAll(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<Tuple>`

    - #### addAll

          public boolean addAll(java.util.Collection<? extends Tuple> c)

      Specified by:
        `addAll` in interface `java.util.Collection<Tuple>`

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<Tuple>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<Tuple>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<Tuple>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.